Index: oldkernel/linux/drivers/net/eepro100.c
diff -u linux/drivers/net/eepro100.c:1.1.1.1 linux/drivers/net/eepro100.c:1.2
--- linux/drivers/net/eepro100.c:1.1.1.1	Wed May 31 12:33:50 2000
+++ linux/drivers/net/eepro100.c	Thu Jun  1 15:32:59 2000
@@ -35,7 +35,12 @@
 
 /* Set the copy breakpoint for the copy-only-tiny-buffer Rx method.
    Lower values use more memory, but are faster. */
+#ifdef __alpha__
+/* force copying of all packets to avoid unaligned accesses on Alpha */
+static int rx_copybreak = 1518;
+#else
 static int rx_copybreak = 200;
+#endif
 
 /* Maximum events (Rx packets, etc.) to handle at each interrupt. */
 static int max_interrupt_work = 200;
@@ -1202,7 +1207,7 @@
 				skb->dev = dev;
 				skb_reserve(skb, 2);	/* Align IP on 16 byte boundaries */
 				/* 'skb_put()' points to the start of sk_buff data area. */
-#if 1 || USE_IP_CSUM
+#if !defined(__alpha__)
 				/* Packet is in one chunk -- we can copy + cksum. */
 				eth_copy_and_sum(skb,
 								 bus_to_virt(le32_to_cpu(sp->rx_ringp[entry]->rx_buf_addr)),
Index: oldkernel/linux/kernel/panic.c
diff -u linux/kernel/panic.c:1.1.1.1 linux/kernel/panic.c:1.2
--- linux/kernel/panic.c:1.1.1.1	Wed May 31 12:33:48 2000
+++ linux/kernel/panic.c	Thu Jun  1 15:32:59 2000
@@ -16,10 +16,6 @@
 #include <linux/sysrq.h>
 #include <linux/interrupt.h>
 
-#ifdef __alpha__
-#include <asm/machvec.h>
-#endif
-
 asmlinkage void sys_sync(void);	/* it's really int */
 extern void unblank_console(void);
 extern int C_A_D;
@@ -80,10 +76,6 @@
 		stop_a_enabled = 1;
 		printk("Press L1-A to return to the boot prom\n");
 	}
-#endif
-#ifdef __alpha__
-	if (alpha_using_srm)
-		halt();
 #endif
 #ifdef CONFIG_ARCH_S390
         disabled_wait(0x1234);
